Results 1 to 2 of 2
Discuss I need a bit of help... at the iPhone 3GS - Hackint0sh.org; First of all, I'm new at posting threads (I usually just lurk them and get ...
  1. #1
    Newbie Array

    Join Date
    Oct 2010
    Posts
    1
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    0

    Default I need a bit of help...

    First of all, I'm new at posting threads (I usually just lurk them and get fantastic information), so I don't know that this is in the correct area... It probably isn't, but I'd really love it if I could possibly get some answers, so please bear with me.

    I had my 32G 3GS jailbroken & unlocked at 3.1.3, and I had a friend who describes himself as a "god" with iPhones, and he offered to help me upgrade to 4.0.1 (even though the man who I bought my iPhone from already had SHSH blobs for both 4.0 and 3.1.3 backed up on Cydia) and i agreed. Well, long story short, he upgraded my phone to 4.1 with the 05.14.02 baseband. I'm aware that 05.14.02 is unable to be downgraded except with Fuzzyband, but only if I'm lucky enough to have 5.08 (?) Bootrom (which it looks like I do... The serial number on the sim card holder indicated it anyway). So, I assumed that all I'd have to do is download the 3.1.3 again and restore to that on iTunes and I'd be golden again, because the SHSH blobs were backed up with Cydia (before the schmuck "god" got ahold of it and mangled it). But, it won't downgrade to ANYTHING. Not 3.1.2, not 3.1.3, not 4.0. I am at my wits end, I can't figure out why it won't work! It should at least downgrade, right? Does anyone have any kind of suggestions for me? I'd love anything, thank you!



  2. #2
    Super Moderator Array Olethros's Avatar

    Join Date
    Sep 2007
    Location
    Norway
    Posts
    8,360
    Post Thanks / Like
    Downloads
    0
    Uploads
    0
    Rep Power
    439

    Default

    Quote Originally Posted by miss arson View Post
    Well, long story short, he upgraded my phone to 4.1 with the 05.14.02 baseband. I'm aware that 05.14.02 is unable to be downgraded except with Fuzzyband, but only if I'm lucky enough to have 5.08 (?) Bootrom (which it looks like I do... The serial number on the sim card holder indicated it anyway).
    fuzzyband only works on 3G iPhones. All 3GS models have baseband bootloader version 6.4 which is not vulnerable to fuzzyband.

    Don't confused bootrom with baseband bootloader.

    Bootrom (called "SecureROM" by Apple) is the first significant code that runs on an iDevice. The bootrom is not-writeable. On the 3GS, the serial number can give a hint that the bootrom is old or new (which determines whether or not you can use an untethered low level jailbreak )

    The baseband bootloader is the code which runs before the baseband FW, it is responsible for signature checking and updating the baseband.

    As for why you can't downgrade with saved SHSH. TinyUmbrella is the best choice to help troubleshoot this.
    Please read the stickies & search forum before posting!
    How to report an iTunes restore/update fail in a useful manner
    -

    iPad 3G 64GB (4.3.3, Redsn0w) oldest SHSH 3.2.2
    iPhone 4 32GB (4.2.1, Redsn0w JB-monte) oldest SHSH 4.1
    iPhone 3GS 32GB (4.3.3; Pwnagetool) factory unlocked oldest SHSH 3.1
    iPhone 8GB (3.1.3; Pwnagetool) AT&T Locked - Unlocked with bootneuter

    -
    Did we solve your problem? Got a dollar or two spare ? Donate!

 

 

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
Powered by vBulletin®
Copyright © 2014 vBulletin Solutions, Inc. All rights reserved.
Search Engine Friendly URLs by vBSEO
(c) 2006-2012 Hackint0sh.org
All times are GMT +2. The time now is 05:54 AM.
twitter, follow us!